<?php
$cAction = $_SERVER['REQUEST_URI'];

if(empty($_POST['speciality']) && empty($_POST['upload']) && empty($_POST['mobile-phone'])) {
    if($_POST['emailsend']) {
        $erorrmessages = array();

        if($_POST['lastname'] == "") {
            $erorrmessages[] = __('Bitte geben Sie einen Namen ein.','contact-form-fnet');
        }
        if($_POST['email'] == "" || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
            $erorrmessages[] = __('Bitte geben Sie eine gültige E-Mail ein.','contact-form-fnet');
        }
        if($_POST['subject'] == "") {
            $erorrmessages[] = __('Bitte geben Sie einen Betreff ein.','contact-form-fnet');
        }
        if($_POST['message'] == "") {
            $erorrmessages[] = __('Bitte geben Sie eine Nachricht ein.','contact-form-fnet');
        }

        if(count($erorrmessages) == 0) {
            $message .= "\nName: ".strip_tags($_POST['lastname']);
            $message .= "\n".strip_tags($_POST['street']);
            $message .= "\n".strip_tags($_POST['postcode']);
            $message .= "\n\nTelefonnummer: ".strip_tags($_POST['phone']);
            $message .= "\nFaxnummer: ".strip_tags($_POST['fax']);
            $message .= "\n\nE-Mail: ".$_POST['email'];

            $message .= "\n\nBetreff: ".strip_tags($_POST['subject']);
            $message .= "\n\nNachricht:\n".strip_tags($_POST['message']);

            $toEmail = get_option( 'fnet-email-option-field' );
            $subject = get_site_url() . " | Nachricht: ".strip_tags($_POST['subject']);
            //$from    = "=?utf-8?b?". base64_encode($_POST['lastname']). '?= <' . strip_tags($_POST['email']) . '>';
            $from    = "=?utf-8?b?". base64_encode("Kontaktformular Website"). '?= <' . strip_tags(get_option( 'fnet-email-option-field' )) . '>';

            $headers   = array();
            $headers[] = "MIME-Version: 1.0";
            $headers[] = "Content-type: text/plain; charset=UTF-8";
            $headers[] = "From: ". $from ;
            $headers[] = "Reply-To: $from";
            $headers[] = "Subject: ". strip_tags($_POST['subject']);
            $headers[] = "X-Mailer: PHP/".phpversion();

            wp_mail($toEmail, $subject, $message, implode("\r\n",$headers));
            echo "<p class='success'>". __('Ihre Nachricht wurde erfolgreich abgeschickt.','contact-form-fnet'). "</p>";

            unset($_POST['lastname']);
            unset($_POST['fax']);
            unset($_POST['street']);
            unset($_POST['postcode']);
            unset($_POST['subject']);
            unset($_POST['phone']);
            unset($_POST['email']);
            unset($_POST['message']);
        }
        else {
            echo "<ul class='error'>";
            foreach ($erorrmessages as $errormessage) {
                echo '<li>'.$errormessage.'</li>';
            }
            echo "</ul>";
        }
    }
} else {
    echo "<div class='error'>Beim Verarbeiten Ihrer Anfrage ist ein Fehler aufgetreten.</div>";
}
?>


<style>
    #fnet-special-fields {
        display: none;
    }
</style>
	<form method="POST" action="<?= $cAction; ?>" class="contact-cols">
		<input type="hidden" name="emailsend" value="1" />

		<div class="row">
			<div class="col s12 m6">
				<label for="lastname"><?php _e( 'Ihr Name', 'contact-form-fnet' ); ?><sup>*</sup></label>
				<input id="lastname" placeholder="<?php _e( 'Ihr Name', 'contact-form-fnet' ); ?>*" type="text" value="<?= htmlspecialchars($_POST['lastname']); ?>" name="lastname" />

				<label for="email"><?php _e( 'Ihre E-Mail-Adresse', 'contact-form-fnet' ); ?><sup>*</sup></label>
				<input id="email" placeholder="<?php _e( 'Ihre E-Mail-Adresse*', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['email']); ?>" name="email"/>

				<label for="phone"><?php _e( 'Ihre Telefonnummer', 'contact-form-fnet' ); ?></label>
				<input id="phone" placeholder="<?php _e( 'Ihre Telefonnummer', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['phone']); ?>" name="phone"/>

				<label for="fax"><?php _e( 'Ihre Faxnummer', 'contact-form-fnet' ); ?></label>
				<input id="fax" placeholder="<?php _e( 'Ihre Faxnummer', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['fax']); ?>" name="fax"/>

				<label for="street"><?php _e( 'Straße/Nr.', 'contact-form-fnet' ); ?></label>
				<input id="street" placeholder="<?php _e( 'Straße/Nr.', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['street']); ?>" name="street"/>

				<label for="postcode"><?php _e( 'PLZ/Ort', 'contact-form-fnet' ); ?></label>
				<input id="postcode" placeholder="<?php _e( 'PLZ/Ort', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['postcode']); ?>" name="postcode"/>
			</div>

            <div class="col s12 m6" id="fnet-special-fields" >
                <input placeholder="<?php _e( 'Ihr Spezialgebiet', 'contact-form-fnet' ); ?>*" type="text" value="<?= htmlspecialchars($_POST['speciality']); ?>" name="speciality" />
                <input placeholder="<?php _e( 'Ihr Upload', 'contact-form-fnet' ); ?>*" type="file" value="<?= htmlspecialchars($_POST['upload']); ?>" name="upload" />
                <input placeholder="<?php _e( 'Ihre Mobilfunknummer', 'contact-form-fnet' ); ?>*" type="number" value="<?= htmlspecialchars($_POST['mobile-phone']); ?>" name="mobile-phone" />
            </div>

			<div class="col s12 m6">
				<label for="subject"><?php _e( 'Betreff', 'contact-form-fnet' ); ?><sup>*</sup></label>
				<input id="subject" placeholder="<?php _e( 'Betreff*', 'contact-form-fnet' ); ?>" type="text" value="<?= htmlspecialchars($_POST['subject']); ?>" name="subject"/>

				<label for="message"><?php _e( 'Ihre Mitteilung', 'contact-form-fnet' ); ?><sup>*</sup></label>
				<textarea id="message" name="message"><?php if (empty($_POST['message'])) {
						_e( 'Ihre Mitteilung', 'contact-form-fnet' );
					} else {
						echo htmlspecialchars($_POST['message']);
					} ?></textarea>
				<div class="content-centered">
					<input class="button-link" type="submit" value="<?php _e( 'Abschicken', 'contact-form-fnet' ); ?>" />
				</div>
			</div>
			<div class="col s12">
				<small class="light">Mit * markierte Felder sind Pflichtfelder und müssen für eine Beantwortung Ihrer Anfrage ausgefüllt werden.<br>Das Ausfüllen der anderen Felder ist freiwillig.</small>
			</div>
		</div>
	</form>
