<?php

/**
 *
 * @author Selma Dreiner
 *
 *
*/

?>
<div class="wrap">
	<h2><?php _e( 'Kontaktformulare verwalten', 'contact-form-fnet' ); ?></h2>

	<p><?php _e( 'Mit <code>[contact]</code> kann ein kleines Kontaktformular  ausgegeben werden, <code>[contactMed]</code> gibt ein normales Kontaktformular aus und<code>[contactFull]</code> gibt das große Kontaktformular aus. Mit<code>[contactCols]</code> wird ein zweispaltiges Kontaktformular ohne Labels ausgegeben.', 'contact-form-fnet' ); ?></p>

	<p><?php _e( 'Bitte beachten Sie, dass auf einer Seite immer nur ein Kontaktformular eingebunden sein darf.', 'contact-form-fnet' ); ?></p>

	<form method="post" action="options.php">
		<?php settings_fields( 'fnet-option-group' ); ?>
		<?php do_settings_sections( 'fnet-option-group' ); ?>

		<table class="form-table">
			<tr>
				<th scope="row"><label><?php _e( 'E-Mail-Empfänger:', 'contact-form-fnet' ); ?></label></th>
				<td>
					<input type="text" id="fnet-email-option-field"
					       name="fnet-email-option-field" class="regular-text"
				           value="<?= get_option( 'fnet-email-option-field' ); ?>"/>
				</td>
			</tr>
		</table>

		<?php
		$senden = __( 'Speichern', 'contact-form-fnet' );

		submit_button( $senden, 'primary', $senden, false, 'style="margin-right: 10px; margin-top: 20px;"' );
		?>

	</form>
</div>
