<?php
$cAction2 = $_SERVER['REQUEST_URI'];

if($_POST['emailsend2']) {
	$erorrmessages = array();

	if($_POST['salutation'] == "") {
		$erorrmessages[] = __('Bitte wählen Sie eine Anrede aus.', 'contact-form-fnet');
	}
	if($_POST['firstname'] == "") {
		$erorrmessages[] = __('Bitte geben Sie einen Vornamen an.', 'contact-form-fnet');
	}
	if($_POST['lastname'] == "") {
		$erorrmessages[] = __('Bitte geben Sie einen Nachnamen an.', 'contact-form-fnet');
	}
	if($_POST['email'] == "" || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
		$erorrmessages[] = __('Bitte geben Sie eine gültige E-Mail an.', 'contact-form-fnet');
	}

	
	if(count($erorrmessages) == 0) {
		$message = "Nachricht von ".strip_tags($_POST['salutation'])." ".strip_tags($_POST['firstname'])." ".strip_tags($_POST['lastname']);

		$message .= "\nE-Mail: ".strip_tags($_POST['email']);

		$toEmail = get_option( 'fnet-email-option-field' );
		$subject = get_site_url() . " | Nachricht von ".strip_tags($_POST['salutation']).' '.strip_tags($_POST['lastname']);
		//$from    = "=?utf-8?b?". base64_encode($_POST['firstname'] . ' ' . $_POST['lastname']). '?= <' . strip_tags($_POST['email']) . '>';
		$from    = "=?utf-8?b?". base64_encode("Kontaktformular Website"). '?= <' . strip_tags(get_option( 'fnet-email-option-field' )) . '>';

		$headers   = array();
		$headers[] = "MIME-Version: 1.0";
		$headers[] = "Content-type: text/plain; charset=UTF-8";
		$headers[] = "From: ". $from ;
		$headers[] = "Reply-To: $from";
		$headers[] = "Subject: ". strip_tags($_POST['subject']);
		//$headers[] = "X-Mailer: PHP/".phpversion();

		wp_mail($toEmail, $subject, $message, implode("\r\n",$headers));
		echo "<p class='success'>". __('Ihre Nachricht wurde erfolgreich abgeschickt.', 'contact-form-fnet'). "</p>";

	} else {
		echo "<ul class='error'>";
		foreach ($erorrmessages as $errormessage) {
			echo '<li>'.$errormessage.'</li>';
		}
		echo "</ul>";
	}
}
?>
<form method="POST" action="<?= $cAction2; ?>" class="contact-news">
	<input type="hidden" name="emailsend2" value="1" />
	<div class="row">
		<div class="col s12">
			<input type="radio" name="salutation" id="anrede-herr" <?php if (isset($_POST['salutation']) && $_POST['salutation']=="Herr") echo 'checked="checked"';?> value="Herr" />&nbsp;&nbsp;<label for="anrede-herr">Herr</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="radio" name="salutation" id="anrede-frau" <?php if (isset($_POST['salutation']) && $_POST['salutation']=="Frau") echo 'checked="checked"';?> value="Frau" />&nbsp;&nbsp;<label for="anrede-frau">Frau</label>
		</div>
	</div>
	<div class="row">
		<div class="col s12 m6">
			<input type="text" value="<?= htmlspecialchars($_POST['firstname']); ?>" name="firstname" placeholder="<?php _e( 'Vorname', 'contact-form-fnet' ); ?>" />
		</div>
		<div class="col s12 m6">
			<input type="text" value="<?= htmlspecialchars($_POST['lastname']); ?>" name="lastname" placeholder="<?php _e( 'Nachname', 'contact-form-fnet' ); ?>" />
		</div>
	</div>
	<div class="row">
		<div class="col s12"><input type="text" value="<?= htmlspecialchars($_POST['email']); ?>" name="email" placeholder="<?php _e( 'E-Mail', 'contact-form-fnet' ); ?>"/></div>
	</div>

	<div class="row">
		<div class="col s12"><input class="button-link" type="submit" value="<?php _e( 'Abschicken', 'contact-form-fnet' ); ?>" /></div>
	</div>
</form>
