<?php
$cAction = $_SERVER['REQUEST_URI'];

if($_POST['emailsend']) {
	$erorrmessages = array();

	if($_POST['firstname'] == "") {
		$erorrmessages[] = __('Bitte geben Sie einen Vornamen an.','contact-form-fnet');
	}
	if($_POST['lastname'] == "") {
		$erorrmessages[] = __('Bitte geben Sie einen Nachnamen an.','contact-form-fnet');
	}
	if($_POST['email'] == "" || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
		$erorrmessages[] = __('Bitte geben Sie eine gültige E-Mail an.','contact-form-fnet');
	}
	if($_POST['subject'] == "") {
		$erorrmessages[] = __('Bitte geben Sie einen Betreff ein.','contact-form-fnet');
	}
	if($_POST['message'] == "") {
		$erorrmessages[] = __('Bitte geben Sie eine Nachricht ein.','contact-form-fnet');
	}
	
	if(count($erorrmessages) == 0) {
		$message .= "\nName: ".strip_tags($_POST['firstname']).' '.strip_tags($_POST['lastname']);
		$message .= "\n".strip_tags($_POST['street'])." ".strip_tags($_POST['housenumber']);
		$message .= "\n".strip_tags($_POST['postcode'])." ".strip_tags($_POST['place']);
		$message .= "\n\nTelefonnummer: ".strip_tags($_POST['phone']);
		$message .= "\nE-Mail: ".$_POST['email'];

		$message .= "\n\nBetreff: ".strip_tags($_POST['subject']);
		$message .= "\n\nNachricht:\n".strip_tags($_POST['message']);

		$toEmail = get_option( 'fnet-email-option-field' );
		$subject = get_site_url() . " | Nachricht: ".strip_tags($_POST['subject']);
		//$from    = "=?utf-8?b?". base64_encode($_POST['firstname'] . ' ' . $_POST['lastname']). '?= <' . strip_tags($_POST['email']) . '>';
        $from    = "=?utf-8?b?". base64_encode("Kontaktformular Website"). '?= <' . strip_tags(get_option( 'fnet-email-option-field' )) . '>';

		$headers   = array();
		$headers[] = "MIME-Version: 1.0";
		$headers[] = "Content-type: text/plain; charset=UTF-8";
		$headers[] = "From: ". $from ;
		$headers[] = "Reply-To: $from";
		$headers[] = "Subject: ". strip_tags($_POST['subject']);
		$headers[] = "X-Mailer: PHP/".phpversion();

		wp_mail($toEmail, $subject, $message, implode("\r\n",$headers));
		echo "<p class='success'>". __('Ihre Nachricht wurde erfolgreich abgeschickt.','contact-form-fnet'). "</p>";
		
		unset($_POST['lastname']);
		unset($_POST['firstname']);
		unset($_POST['street']);
		unset($_POST['housenumber']);
		unset($_POST['place']);
		unset($_POST['postcode']);
		unset($_POST['subject']);
		unset($_POST['phone']);
		unset($_POST['email']);
		unset($_POST['message']);
	}
	else {
		echo "<ul class='error'>";
		foreach ($erorrmessages as $errormessage) {
			echo '<li>'.$errormessage.'</li>';
		}
		echo "</ul>";
	}
}
?>

	<form method="POST" action="<?= $cAction; ?>" class="contact-full">
		<input type="hidden" name="emailsend" value="1" />
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'Vorname, Name', 'contact-form-fnet' ); ?><sup>*</sup></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s6"><input type="text" value="<?= htmlspecialchars($_POST['firstname']); ?>" name="firstname"/></div>
					<div class="col s6"><input type="text" value="<?= htmlspecialchars($_POST['lastname']); ?>" name="lastname" /></div>
				</div>

			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'Straße, Nr.', 'contact-form-fnet' ); ?></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s9 m10"><input type="text" value="<?= htmlspecialchars($_POST['street']); ?>" name="street"/></div>
					<div class="col s3 m2"><input type="text" value="<?= htmlspecialchars($_POST['housenumber']); ?>" name="housenumber"/></div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'PLZ, Ort', 'contact-form-fnet' ); ?></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s4 m4"><input type="text" value="<?= htmlspecialchars($_POST['postcode']); ?>" name="postcode"/></div>
					<div class="col s8 m8"><input type="text" value="<?= htmlspecialchars($_POST['place']); ?>" name="place"/></div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'Telefonnummer', 'contact-form-fnet' ); ?></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s12"><input type="text" value="<?= htmlspecialchars($_POST['phone']); ?>" name="phone"/></div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'E-Mail', 'contact-form-fnet' ); ?><sup>*</sup></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s12"><input type="text" value="<?= htmlspecialchars($_POST['email']); ?>" name="email"/></div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'Betreff', 'contact-form-fnet' ); ?><sup>*</sup></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s12">
						<input type="text" value="<?= htmlspecialchars($_POST['subject']); ?>" name="subject"/>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m4 l3"><label><?php _e( 'Nachricht', 'contact-form-fnet' ); ?><sup>*</sup></label></div>
			<div class="col s12 m8 l9">
				<div class="row">
					<div class="col s12">
						<textarea name="message"><?= htmlspecialchars($_POST['message']); ?></textarea>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m8 o-m4 l9 o-l3">
				<div class="row">
					<div class="col s12">
						<input class="button-link" type="submit" value="<?php _e( 'Abschicken', 'contact-form-fnet' ); ?>" />
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col s12 m8 o-m4 l9 o-l3"><small class="light">* Diese Felder müssen ausgefüllt werden.</small></div>
		</div>
	</form>
